[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TRasterImage.SetPixelFormat

Sets the value for the PixelFormat property.

## Declaration

Source position: graphics.pp line 1299

`protected procedure TRasterImage.SetPixelFormat(`
`AValue: TPixelFormat`
`); virtual; abstract;`

## Arguments

`AValue` |  | New value for the property.

## Description

Defined as an abstract virtual method. Must be implemented in a descendent class to use the storage format supported for a specific image format.

## See also

TRasterImage.PixelFormat |  | Storage format for the Pixels in the Image.